AI Sync

Workflows

Enroll Contact

POSThttps://app.rizzdial.com/api/Workflow/{id}/contacts/enroll
Enroll Contact
curl --request POST \
  --url https://app.rizzdial.com/api/Workflow/MQ==/contacts/enroll \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "contact_id": "42"
}'
{
  "message": "Contact enrollment queued successfully.",
  "success": true
}

Enroll Contact#

Queues a contact on an active workflow (trigger_type manual_enrollment).

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 workflow id from List Workflows

contact_idstringbodyrequired

Numeric contact id or its base64 value

curl --request POST \
  --url https://app.rizzdial.com/api/Workflow/MQ==/contacts/enroll \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"contact_id":"42"}'
messagestring

Contact enrollment queued successfully.